Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I'm getting an error when I try to specify an option with the siunitx package. I have the following line in my preamble:

\usepackage[load-configurations=si-abbr]{siunitx}

And I get the following error:

! LaTeX Error: Unknown option `load-configurations' for package `siunitx'.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              

l.3894 \ifx
           \@empty\si@emulate\@empty\else
? H
The option `load-configurations' was not declared in package `siunitx', perhaps
 you
misspelled its name. Try typing  <return>  to proceed.

I'm not sure which version of siunitx I have; I installed it via the texlive-* packages in Ubuntu 10.04 (Lucid). If somebody could point me in the right direction I would greatly appreciate it.

share|improve this question
2  
Welcome to TeX.SX. Unfortunately, the TeX Live/Debian provided with Ubuntu 10.04 is quite old, so the provided siunitx lacks that option. –  egreg Sep 12 '11 at 15:00
add comment

1 Answer 1

up vote 6 down vote accepted

You have version 1 of siunitx installed, and are mixing version one option values (abbr) with version 2 key names (load-configurations). You want

\usepackage[alsoload=abbr]{siunitx}

In general, you should check the installed documentation for a package on your local system by typing

texdoc <package-name>

at the Terminal. This will give you the relevant options for the version you have.

share|improve this answer
    
Ah, I see. That makes sense, and it works now. Thanks a lot. –  David Sempsrott Sep 12 '11 at 15:37
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.